
Conversion Tools - Bug #3340

PatternEngine fails due to incompatible changes in guava version 21

09/27/2017 01:33 PM - Hynek Cihlar

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

History

#1 - 09/27/2017 01:34 PM - Hynek Cihlar

Hynek,

Yes, I think we will need to adjust the GWT version.. if is possible.

On 09/27/2017 08:24 PM, Hynek Cihlar wrote:

Constantin,

do you want me to take it?

Thanks,

Hynek

On 27.9.2017 19:20, Constantin Asofiei wrote:

Hynek,

Just tried that for guava-gwt-19, but it doesn't compile the FWD admin code.

Setting:

fwdConvertClient group: 'com.google.guava', name: 'guava', version: '19.0'

Doesn't work at all, it brings guava-21.0.jar, not guava-19.0.jar.

On 09/27/2017 08:19 PM, Hynek Cihlar wrote:

Constantin,

I see, in that case reverting to guava 19 sounds like a good way to go.

From Janus graph 0.1.1 pom.xml:

<dependency>

<!-- Run the full test suite when changing the Guava version.

The Guava team is deadly serious about their 18 month period from deprecation

to feature deletion, and as a result, at least one of JanusGraph's dependencies is

likely to break whenever the Guava version changes.

Example where blithely upgrading Guava introduced a linkage error in the past:

https://issues.apache.org/jira/browse/HBASE-10174

-->

<groupId>com.google.guava</groupId>

<artifactId>guava</artifactId>

<version>18.0</version>

</dependency>

Thanks,

Hynek

On 27.9.2017 19:11, Constantin Asofiei wrote:
Hynek,

Yes, but the problem is in janus-graph, not in FWD.

I'm trying guava-19 (which is includes emptyIterator as deprecated, but not removed).

On 09/27/2017 08:09 PM, Hynek Cihlar wrote:

From Guava docs:

emptyIterator <

https://google.github.io/guava/releases/19.0/api/docs/com/google/common/collect/Iterators.html#emptyIterator%28%29>()

Deprecated.

/Use|ImmutableSet.<T>of().iterator()|instead; or for Java 7 or later,|Collections.emptyIterator()| <

http://docs.oracle.com/javase/7/docs/api/java/util/Collections.html?is-external=true#emptyIterator%28%29&gt;. This method

is scheduled for removal in May 2016./

On 27.9.2017 18:57, Constantin Asofiei wrote:

Greg,

Yup, guava 21.0 no longer has Iterators.emptyIterator() - is protected instead of public.

Previous version was guava 14.0

Hynek: any idea how to fix?

Thanks,

Constantin

On 09/27/2017 07:40 PM, Greg Shah wrote:

Constantin,

Using the callgraph target in Hotel GUI (fresh checkout of rev 146) with FWD trunk (rev 11170), I get the attached

failure.

Any ideas?

Thanks,

Greg

callgraph:

[java] SLF4J: Class path contains multiple SLF4J bindings.

[java] SLF4J: Found binding in

[jar:file:/home/ges/projects/p2j/build/lib/slf4j-jdk14-1.6.1.jar!/org/slf4j/impl/StaticLoggerBinder.class]

[java] SLF4J: Found binding in

[jar:file:/home/ges/projects/p2j/build/lib/slf4j-simple-1.6.1.jar!/org/slf4j/impl/StaticLoggerBinder.class]

[java] SLF4J: See http://www.slf4j.org/codes.html#multiple_bindings for an explanation.

[java] SLF4J: Actual binding is of type [org.slf4j.impl.JDK14LoggerFactory]

[java] Sep 27, 2017 12:39:13 PM org.janusgraph.graphdb.configuration.GraphDatabaseConfiguration <init>

[java] INFO: Set default timestamp provider MICRO

[java] Sep 27, 2017 12:39:13 PM org.janusgraph.graphdb.configuration.GraphDatabaseConfiguration

getOrGenerateUniqueInstanceId

[java] INFO: Generated unique-instance-id=7f00010119934-dev-thinkpad1

[java] Sep 27, 2017 12:39:14 PM org.janusgraph.diskstorage.Backend <init>

[java] INFO: Initiated backend operations thread pool of size 8

[java] Sep 27, 2017 12:39:14 PM org.janusgraph.diskstorage.log.kcvs.KCVSLog$MessagePuller

initializeTimepoint

[java] INFO: Loaded unidentified ReadMarker start time 2017-09-27T16:39:14.107Z into

org.janusgraph.diskstorage.log.kcvs.KCVSLog$MessagePuller@65c7a252

[java] Started loading the code-set.

[java] Using *.[fhi] for include-file specifications.

[java] ./abl/calc-days.i

[java] ./abl/calc-gen-price.i

[java] ./abl/calc-price-proc.i

[java] ./abl/calc-price.i

[java] ./abl/check-date-price.i

[java] ./abl/check-date.i

[java] ./abl/common/acofnml0.i

[java] ./abl/common/acontml0.i

[java] ./abl/common/adbgdef0.i
[java] ./abl/common/adbgmsg0.i

[java] ./abl/common/adecomm/_adetool.i

[java] ./abl/common/adecomm/appserv.i

[java] ./abl/common/adecomm/appsrvtt.i

[java] ./abl/common/adm2/cltorsvr.i

[java] ./abl/common/afoldml0.i

[java] ./abl/common/agbl9df0.i

[java] ./abl/common/agbldef0.i

[java] ./abl/common/akvalml0.i

[java] ./abl/common/alayoml0.i

[java] ./abl/common/amainsf1.i

[java] ./abl/common/asuprml0.i

[java] ./abl/common/atreeml0.i

[java] ./abl/common/checkerr.i

[java] ./abl/common/launch.i

[java] ./abl/common/src/adm2/admmsgs.i

[java] ./abl/common/src/adm2/appserver.i

[java] ./abl/common/src/adm2/appsprop.i

[java] ./abl/common/src/adm2/appsprto.i

[java] ./abl/common/src/adm2/brsentry.i

[java] ./abl/common/src/adm2/brsprop.i

[java] ./abl/common/src/adm2/brsprto.i

[java] ./abl/common/src/adm2/cltorsvr.i

[java] ./abl/common/src/adm2/cntnprop.i

[java] ./abl/common/src/adm2/cntnprto.i

[java] ./abl/common/src/adm2/containr.i

[java] ./abl/common/src/adm2/custom/appservercustom.i

[java] ./abl/common/src/adm2/custom/appserverdefscustom.i

[java] ./abl/common/src/adm2/custom/appserverexclcustom.i

[java] ./abl/common/src/adm2/custom/appspropcustom.i

[java] ./abl/common/src/adm2/custom/appsprtocustom.i

[java] ./abl/common/src/adm2/custom/browserdefscustom.i

[java] ./abl/common/src/adm2/custom/browserexclcustom.i

[java] ./abl/common/src/adm2/custom/brspropcustom.i

[java] ./abl/common/src/adm2/custom/brsprtocustom.i

[java] ./abl/common/src/adm2/custom/cntnpropcustom.i

[java] ./abl/common/src/adm2/custom/cntnprtocustom.i

[java] ./abl/common/src/adm2/custom/containrcustom.i

[java] ./abl/common/src/adm2/custom/containrdefscustom.i

[java] ./abl/common/src/adm2/custom/containrexclcustom.i

[java] ./abl/common/src/adm2/custom/datacustom.i

[java] ./abl/common/src/adm2/custom/datadefscustom.i

[java] ./abl/common/src/adm2/custom/dataexclcustom.i

[java] ./abl/common/src/adm2/custom/datapropcustom.i

[java] ./abl/common/src/adm2/custom/dataprtocustom.i

[java] ./abl/common/src/adm2/custom/datavisdefscustom.i

[java] ./abl/common/src/adm2/custom/datavisexclcustom.i

[java] ./abl/common/src/adm2/custom/dvispropcustom.i

[java] ./abl/common/src/adm2/custom/dvisprtocustom.i

[java] ./abl/common/src/adm2/custom/fielddefscustom.i

[java] ./abl/common/src/adm2/custom/fieldexclcustom.i

[java] ./abl/common/src/adm2/custom/fieldpropcustom.i

[java] ./abl/common/src/adm2/custom/fieldprtocustom.i

[java] ./abl/common/src/adm2/custom/filtercustom.i

[java] ./abl/common/src/adm2/custom/filterdefscustom.i

[java] ./abl/common/src/adm2/custom/filterexclcustom.i

[java] ./abl/common/src/adm2/custom/filtpropcustom.i

[java] ./abl/common/src/adm2/custom/filtprtocustom.i

[java] ./abl/common/src/adm2/custom/globalscustom.i

[java] ./abl/common/src/adm2/custom/qrypropcustom.i

[java] ./abl/common/src/adm2/custom/qryprtocustom.i

[java] ./abl/common/src/adm2/custom/querycustom.i

[java] ./abl/common/src/adm2/custom/querydefscustom.i

[java] ./abl/common/src/adm2/custom/queryexclcustom.i

[java] ./abl/common/src/adm2/custom/sbocustom.i

[java] ./abl/common/src/adm2/custom/sbodefscustom.i

[java] ./abl/common/src/adm2/custom/sboexclcustom.i

[java] ./abl/common/src/adm2/custom/sbopropcustom.i

[java] ./abl/common/src/adm2/custom/sboprtocustom.i

[java] ./abl/common/src/adm2/custom/smartcustom.i

[java] ./abl/common/src/adm2/custom/smartdefscustom.i

[java] ./abl/common/src/adm2/custom/smartexclcustom.i

[java] ./abl/common/src/adm2/custom/smrtpropcustom.i

[java] ./abl/common/src/adm2/custom/smrtprtocustom.i

[java] ./abl/common/src/adm2/custom/viewerdefscustom.i
[java] ./abl/common/src/adm2/custom/viewerexclcustom.i

[java] ./abl/common/src/adm2/custom/viewpropcustom.i

[java] ./abl/common/src/adm2/custom/viewprtocustom.i

[java] ./abl/common/src/adm2/custom/vispropcustom.i

[java] ./abl/common/src/adm2/custom/visprtocustom.i

[java] ./abl/common/src/adm2/custom/visualcustom.i

[java] ./abl/common/src/adm2/custom/visualdefscustom.i

[java] ./abl/common/src/adm2/custom/visualexclcustom.i

[java] ./abl/common/src/adm2/data.i

[java] ./abl/common/src/adm2/dataprop.i

[java] ./abl/common/src/adm2/dataprto.i

[java] ./abl/common/src/adm2/delrecst.i

[java] ./abl/common/src/adm2/dialogmn.i

[java] ./abl/common/src/adm2/dvisprop.i

[java] ./abl/common/src/adm2/dvisprto.i

[java] ./abl/common/src/adm2/entityfields.i

[java] ./abl/common/src/adm2/fieldprop.i

[java] ./abl/common/src/adm2/fieldprto.i

[java] ./abl/common/src/adm2/filter.i

[java] ./abl/common/src/adm2/filtprop.i

[java] ./abl/common/src/adm2/filtprto.i

[java] ./abl/common/src/adm2/globals.i

[java] ./abl/common/src/adm2/qryprop.i

[java] ./abl/common/src/adm2/qryprto.i

[java] ./abl/common/src/adm2/query.i

[java] ./abl/common/src/adm2/robjflds.i

[java] ./abl/common/src/adm2/rupdflds.i

[java] ./abl/common/src/adm2/sbo.i

[java] ./abl/common/src/adm2/sboprop.i

[java] ./abl/common/src/adm2/sboprto.i

[java] ./abl/common/src/adm2/schemai.i

[java] ./abl/common/src/adm2/smart.i

[java] ./abl/common/src/adm2/smrtprop.i

[java] ./abl/common/src/adm2/smrtprto.i

[java] ./abl/common/src/adm2/tblprep.i

[java] ./abl/common/src/adm2/ttcombo.i

[java] ./abl/common/src/adm2/ttdcombo.i

[java] ./abl/common/src/adm2/ttlookup.i

[java] ./abl/common/src/adm2/ttsdoout.i

[java] ./abl/common/src/adm2/tttranslate.i

[java] ./abl/common/src/adm2/updparam.i

[java] ./abl/common/src/adm2/updtabledef.i

[java] ./abl/common/src/adm2/viewprop.i

[java] ./abl/common/src/adm2/viewprto.i

[java] ./abl/common/src/adm2/visprop.i

[java] ./abl/common/src/adm2/visprto.i

[java] ./abl/common/src/adm2/visual.i

[java] ./abl/common/src/adm2/windowmn.i

[java] ./abl/def-update-params.i

[java] ./abl/fill-rooms.i

[java] ./abl/get-reservation-filter.i

[java] ./abl/no-selected-records.i

[java] ./abl/pick-date.i

[java] Done adding include-files.

[java] ./abl/activate-rooms-dialog.w

[java] WARNING: creating a new node for the include file ./abl/common/get, which was not found in initial

include-file list.

[java] WARNING: creating a new node for the include file ./abl/common/set, which was not found in initial

include-file list.

[java] WARNING: creating a new node for the include file ./abl/common/fn, which was not found in initial

include-file list.

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

12884911225

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

12884911273

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

12884911316

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

12884911671

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

12884911716

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

12884911757

[java] ./abl/add-rooms-dialog.w

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:
17179877673

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

17179877721

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

17179877764

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

17179878256

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

17179878301

[java] ./abl/avail-rooms-frame.w

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

21474846286

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

21474846334

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

21474846377

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

21474846732

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

21474846992

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

21474847027

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

21474847154

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

21474847261

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

21474847341

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

21474847376

[java] ./abl/common/aclifli0.p

[java] ./abl/common/adatesd0.w

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064772384

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064772427

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064772551

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064772609

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064772738

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064772796

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064772837

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064772880

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064772923

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064772964

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064773010

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064773056

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064773102

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064773148

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064773191

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064773232

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064773280

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

30064773336

[java] ./abl/common/adecomm/as-utils.w

[java] ./abl/common/adm2/appserver.p

[java] WARNING: creating a new node for the include file ./abl/common/fnarg, which was not found in initial

include-file list.

[java] ./abl/common/adm2/browser.p

[java] ./abl/common/adm2/containr.p

[java] ./abl/common/adm2/data.p
[java] ./abl/common/adm2/dataext.p

[java] ./abl/common/adm2/dataextcols.p

[java] ./abl/common/adm2/datavis.p

[java] ./abl/common/adm2/dyndata.w

[java] ./abl/common/adm2/field.p

[java] ./abl/common/adm2/filter.p

[java] ./abl/common/adm2/query.p

[java] ./abl/common/adm2/queryext.p

[java] ./abl/common/adm2/sbo.p

[java] ./abl/common/adm2/smart.p

[java] WARNING: can not determine the include file for synthetic ASTs, with no line/column information:

107374188838

[java] ./abl/common/adm2/viewer.p

[java] ./abl/common/adm2/visual.p

[java] com.goldencode.p2j.pattern.TreeWalkException: ERROR! Active Rule:

[java] -----------------------

[java]       RULE REPORT

[java] -----------------------

[java] Rule Type :   WALK

[java] Source AST:  [ PROCEDURE ] BLOCK/PROCEDURE/KW_PROC/ @86:1 {124554051642}

[java] Copy AST  :  [ PROCEDURE ] BLOCK/PROCEDURE/KW_PROC/ @86:1 {124554051642}

[java] Condition :  node = cgw.findUniqueNode(nodeKey, siteValue)

[java] Loop      :  false

[java] --- END RULE REPORT ---

[java]

[java]

[java]

[java]     at com.goldencode.p2j.pattern.PatternEngine.run(PatternEngine.java:1068)

[java]     at com.goldencode.p2j.uast.CallGraphGenerator.generateGraphs(CallGraphGenerator.java:178)

[java]     at com.goldencode.p2j.uast.CallGraphGenerator.main(CallGraphGenerator.java:400)

[java] Caused by: java.lang.IllegalAccessError: tried to access method

com.google.common.collect.Iterators.emptyIterator()Lcom/google/common/collect/UnmodifiableIterator; from class

org.janusgraph.graphdb.query.QueryProcessor

[java]     at org.janusgraph.graphdb.query.QueryProcessor.iterator(QueryProcessor.java:66)

[java]     at com.google.common.collect.Iterables$5.iterator(Iterables.java:614)

[java]     at

org.janusgraph.graphdb.tinkerpop.optimize.JanusGraphStep.lambda$new$64(JanusGraphStep.java:69)

[java]     at

org.apache.tinkerpop.gremlin.process.traversal.step.map.GraphStep.processNextStart(GraphStep.java:136)

[java]     at org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep.hasNext(AbstractStep.java:143)

[java]     at

org.apache.tinkerpop.gremlin.process.traversal.util.DefaultTraversal.hasNext(DefaultTraversal.java:179)

[java]     at com.goldencode.p2j.uast.CallGraphHelper.findUniqueNode(CallGraphHelper.java:164)

[java]     at com.goldencode.p2j.uast.CallGraphWorker$CallGraph.findUniqueNode(CallGraphWorker.java:1693)

[java]     at com.goldencode.expr.CE101.execute(Unknown Source)

[java]     at com.goldencode.expr.Expression.execute(Expression.java:391)

[java]     at com.goldencode.p2j.pattern.Rule.apply(Rule.java:491)

[java]     at com.goldencode.p2j.pattern.NamedFunction.execute(NamedFunction.java:449)

[java]     at com.goldencode.p2j.pattern.AstSymbolResolver.execute(AstSymbolResolver.java:709)

[java]     at com.goldencode.p2j.pattern.CommonAstSupport$Library.execLib(CommonAstSupport.java:1262)

[java]     at com.goldencode.expr.CE82.execute(Unknown Source)

[java]     at com.goldencode.expr.Expression.execute(Expression.java:391)

[java]     at com.goldencode.p2j.pattern.Rule.apply(Rule.java:491)

[java]     at com.goldencode.p2j.pattern.Rule.executeActions(Rule.java:738)

[java]     at com.goldencode.p2j.pattern.Rule.coreProcessing(Rule.java:707)

[java]     at com.goldencode.p2j.pattern.Rule.apply(Rule.java:530)

[java]     at com.goldencode.p2j.pattern.Rule.executeActions(Rule.java:738)

[java]     at com.goldencode.p2j.pattern.Rule.coreProcessing(Rule.java:707)

[java]     at com.goldencode.p2j.pattern.Rule.apply(Rule.java:530)

[java]     at com.goldencode.p2j.pattern.RuleContainer.apply(RuleContainer.java:583)

[java]     at com.goldencode.p2j.pattern.RuleSet.apply(RuleSet.java:98)

[java]     at com.goldencode.p2j.pattern.AstWalker.walk(AstWalker.java:261)

[java]     at com.goldencode.p2j.pattern.AstWalker.walk(AstWalker.java:209)

[java]     at com.goldencode.p2j.pattern.PatternEngine.apply(PatternEngine.java:1631)

[java]     at com.goldencode.p2j.pattern.PatternEngine.processAst(PatternEngine.java:1529)

[java]     at com.goldencode.p2j.pattern.PatternEngine.processAst(PatternEngine.java:1477)

[java]     at com.goldencode.p2j.pattern.PatternEngine.run(PatternEngine.java:1032)

[java]     ... 2 more

[java] Elapsed job time:  00:00:29.714
#2 - 09/27/2017 01:35 PM - Hynek Cihlar

On 27.9.2017 19:31, Eric Faulhaber wrote:

Does this have implications for re-testing the admin console functionality?

#3 - 09/27/2017 01:36 PM - Hynek Cihlar

Hynek Cihlar wrote:

On 27.9.2017 19:31, Eric Faulhaber wrote:

Does this have implications for re-testing the admin console functionality?

 

That depends on the solution. Changing the guava version will require some degree of retest.

#4 - 09/27/2017 01:44 PM - Constantin Asofiei

Hynek, using this it brings guava-19.jar, admin console code compiles and also callgraph passes for Hotel GUI:

    fwdConvertClient (group: 'com.google.guava', name: 'guava', version: '19.0') {

       force = true

    }

#5 - 09/27/2017 02:41 PM - Hynek Cihlar

Constantin Asofiei wrote:

Hynek, using this it brings guava-19.jar, admin console code compiles and also callgraph passes for Hotel GUI:

[...]

 

Did you try to run Admin including the Majic Admin? If not I will test it.

05/13/2024 7/10



#6 - 09/27/2017 02:41 PM - Constantin Asofiei

Hynek Cihlar wrote:

Constantin Asofiei wrote:

Hynek, using this it brings guava-19.jar, admin console code compiles and also callgraph passes for Hotel GUI:

[...]

 

Did you try to run Admin including the Majic Admin? If not I will test it.

 

No, I haven't.

#7 - 09/27/2017 03:30 PM - Hynek Cihlar

Constantin Asofiei wrote:

Hynek, using this it brings guava-19.jar, admin console code compiles and also callgraph passes for Hotel GUI:

[...]

 

I tested FWD Admin and Majic Admin and both work OK with the change. Constantin, I assume this is the only change you did for callgraph to pass.

Should I create new task branch (3340a) or delivery the fix into another branch?

#8 - 09/28/2017 07:34 AM - Greg Shah

Please create a new branch.

The only change is the code from #3340-4?

Only JanusGraph (callgraph) and GWT (admin UI) are dependent?

#9 - 09/28/2017 10:21 AM - Hynek Cihlar

Greg Shah wrote:
Please create a new branch.

The only change is the code from #3340-4?

 

Yes.

Only JanusGraph (callgraph) and GWT (admin UI) are dependent?

 

Here are all the dependencies as reported by ./gradlew dependencyInsight:

hc@gcdntb:~/gcd/p2j_repo/p2j$ gw dependencyInsight --dependency guava --configuration fwdAllCompile

:dependencyInsight

com.google.guava:guava:21.0 (conflict resolution)

+--- fwdAllCompile

\--- com.google.guava:guava-gwt:21.0

     \--- fwdAllCompile

com.google.guava:guava:r09 -> 21.0

\--- com.googlecode.gwt-validation:gwt-validation:2.1

     \--- fwdAllCompile

com.google.guava:guava:11.0.2 -> 21.0

\--- org.reflections:reflections:0.9.9-RC1

     +--- org.janusgraph:janusgraph-core:0.1.0

     |    +--- fwdAllCompile

     |    +--- org.janusgraph:janusgraph-lucene:0.1.0

     |    |    \--- fwdAllCompile

     |    \--- org.janusgraph:janusgraph-berkeleyje:0.1.0

     |         \--- fwdAllCompile

     \--- com.googlecode.gwt-validation:gwt-validation:2.1

          \--- fwdAllCompile

com.google.guava:guava:18.0 -> 21.0

\--- org.janusgraph:janusgraph-core:0.1.0

     +--- fwdAllCompile

     +--- org.janusgraph:janusgraph-lucene:0.1.0

     |    \--- fwdAllCompile

     \--- org.janusgraph:janusgraph-berkeleyje:0.1.0

          \--- fwdAllCompile

com.google.guava:guava-gwt:21.0

\--- fwdAllCompile

 

hc@gcdntb:~/gcd/p2j_repo/p2j$ gw dependencyInsight --dependency guava --configuration fwdAllRuntime

:dependencyInsight

com.google.guava:guava:21.0 (conflict resolution)

+--- fwdAllRuntime

\--- com.google.guava:guava-gwt:21.0

     \--- fwdAllRuntime

com.google.guava:guava:r09 -> 21.0

\--- com.googlecode.gwt-validation:gwt-validation:2.1

     \--- fwdAllRuntime

com.google.guava:guava:11.0.2 -> 21.0

\--- org.reflections:reflections:0.9.9-RC1

     +--- org.janusgraph:janusgraph-core:0.1.0

     |    +--- fwdAllRuntime

     |    +--- org.janusgraph:janusgraph-lucene:0.1.0

     |    |    \--- fwdAllRuntime

     |    \--- org.janusgraph:janusgraph-berkeleyje:0.1.0

     |         \--- fwdAllRuntime

     \--- com.googlecode.gwt-validation:gwt-validation:2.1

          \--- fwdAllRuntime

com.google.guava:guava:18.0 -> 21.0
\--- org.janusgraph:janusgraph-core:0.1.0

     +--- fwdAllRuntime

     +--- org.janusgraph:janusgraph-lucene:0.1.0

     |    \--- fwdAllRuntime

     \--- org.janusgraph:janusgraph-berkeleyje:0.1.0

          \--- fwdAllRuntime

com.google.guava:guava-gwt:21.0

\--- fwdAllRuntime

#10 - 09/28/2017 10:36 AM - Hynek Cihlar

Please review the fix in 3340a. I have regression tested FWD Admin and MAJIC Admin.

#11 - 09/28/2017 11:05 AM - Greg Shah

I'm fine with the change.  I can confirm Constantin's result (it does resolve the failure in Hotel GUI callgraph).

Please merge to trunk.

#12 - 09/28/2017 11:36 AM - Hynek Cihlar

3340a merged to trunk as revision 11171 and archived.

#13 - 09/28/2017 11:45 AM - Hynek Cihlar

- % Done changed from 0 to 100
